### NAME

djbsort-test - run some djbsort correctness tests

### SYNOPSIS

    djbsort-test

### DESCRIPTION

`djbsort-test`
runs some tests of the correctness of the djbsort library.

The `djbsort-test` output format is subject to change.
As examples of the current format, the lines

    sort_int32 offset 1
    sort_int32 selected implementation avx2 compiler clang -Wall -fPIC -fwrapv -Qunused-arguments -O2 -mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mavx -mbmi -mbmi2 -mpopcnt -mavx2 -mtune=haswell; Ubuntu clang version 18.1.3 (1ubuntu1); Target: x86_64-pc-linux-gnu; Thread model: posix; InstalledDir: /usr/bin

mean that `djbsort-test` is testing the automatically selected
`avx2` implementation of `djbsort_int32`
with an array offset by 1 word from being aligned,
and a final line saying

    all tests succeeded

means that all tests passed.

### SEE ALSO

**djbsort-fulltest**(1),
**djbsort**(3)
